<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />

    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_MEDIA_PROJECTION" />

    <application
        android:name=".MyApp"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/app_icon"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:roundIcon="@mipmap/app_icon_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Alltrans"
        tools:targetApi="31">

        <!-- Sample AdMob app ID: ca-app-pub-3940256099942544~3347511713 -->
<!--        <meta-data-->
        <!--            android:name="com.google.android.gms.ads.APPLICATION_ID"-->
        <!--            android:value="ca-app-pub-3940256099942544~3347511713" />-->
                <meta-data
                    android:name="com.google.android.gms.ads.APPLICATION_ID"
                    android:value="@string/my_admob_app_id" />

        <meta-data
            android:name="applovin.sdk.key"
            android:value="12324322423" />


        <property
            android:name="android.adservices.AD_SERVICES_CONFIG"
            android:resource="@xml/ga_ad_services_config"
            tools:replace="android:resource"/>

        <activity
            android:name=".viewui.MainActivity"
            android:exported="false"
            android:launchMode="singleTask" />

        <service
            android:name=".allservice.SusService"
            android:enabled="true"
            android:exported="true"
            android:foregroundServiceType="mediaProjection" />

        <activity
            android:name=".viewui.QuickSetActivity"
            android:exported="false" />
        <activity
            android:name=".viewui.SettingsActivity"
            android:exported="false" />
        <activity
            android:name=".viewui.LanguageChangeActivity"
            android:exported="false"
            android:windowSoftInputMode="stateAlwaysHidden|adjustResize" />
        <activity
            android:name=".viewui.TextResultActivity"
            android:exported="false" />

        <meta-data
            android:name="com.google.mlkit.vision.DEPENDENCIES"
            android:value="ocr" /> <!-- To use multiple models: android:value="ocr,ocr_chinese,ocr_devanagari,ocr_japanese,ocr_korean,..." -->
        <activity
            android:name=".viewui.PhotoImageActivity"
            android:exported="false" />
        <activity
            android:name=".viewui.WelActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".viewui.HistoryActivity" />
        <activity android:name=".viewui.DicActivity" />
    </application>

</manifest>